
from PySteppables import *
import CompuCell
import sys
class BacMacSteppable(SteppableBasePy):    

    def __init__(self,_simulator,_frequency=1):
        SteppableBasePy.__init__(self,_simulator,_frequency)
    def start(self):
        from random import randint
        
        #RED BLOOD CELLS
        for i in xrange(20):
            
            x=randint(0,99)
            y=randint(0,99)
            
            cell = self.newCell(self.RED)
            
            self.cellField[x:x,y:y,0] = cell 
            
            cell.targetVolume=100.0
            cell.lambdaVolume=10.0
            
            cell.targetSurface=45.0
            cell.lambdaSurface=10.0
            
        #BACTERIUM CELLS
        for i in xrange(2):
            
            x=randint(0,99)
            y=randint(0,99)
            
            cell = self.newCell(self.BAC)
            
            self.cellField[x:x,y:y,0] = cell 
            
            cell.targetVolume=10.0
            cell.lambdaVolume=10.0
            
            cell.targetSurface=12.0
            cell.lambdaSurface=10.0
            
        #MACROPHAGE CELLS
        for i in xrange(2):
            
            x=randint(0,99)
            y=randint(0,99)
            
            cell = self.newCell(self.MAC)
            
            self.cellField[x:x,y:y,0] = cell 
            
            cell.targetVolume=200.0
            cell.lambdaVolume=10.0
            
            cell.targetSurface=70.0
            cell.lambdaSurface=10.0            
            
        
        
    def step(self,mcs):        
        #type here the code that will run every _frequency MCS
        for cell in self.cellList:
            print "cell.id=",cell.id
    def finish(self):
        # Finish Function gets called after the last MCS
        pass
        